Subject: bug#74799: [PATCH] Clarify that save-place-file must be set before save-place-mode starts

From: Eli Zaretskii <[email-masked]>
Date: Wed, 11 Dec 2024 23:01:08 +0200

> From: Hong Xu <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 11 Dec 2024 12:41:32 -0800
> 
> On 2024-12-11 Wed 12:29 GMT-08, Eli Zaretskii <[email-masked]> wrote:
> 
> >> -  "Name of the file that records `save-place-alist' value."
> >> +  "Name of the file that records `save-place-alist' value.
> >> +Must be set before starting save-place-mode."
> >>    :version "24.4"                       ; added locate-user-emacs-file
> >>    :type 'file)
> >
> > Thanks, but how about removing the limitation instead?
> 
> I'm not sure how to do this. It seems to me the limitation didn't exist
> in Emacs 29 but suddenly I have to set save-place-file before calling
> save-place-mode. I thought this was intended but maybe this is a
> regression?
> 
> (It's difficult for me to try out Emacs 29 now to 100% confirm, sorry.)

I'd start by comparing saveplace.el in Emacs 28 and Emacs 29.

You could also try loading saveplace.el from Emacs 28 into an Emacs 29
session, to see if the problems you have go away.

Btw, what actually happens if you modify the file name after you turn
on save-place-mode? what doesn't work?